Debian Bug report logs - #466857
udhcp: long term mass bug filing for cross build support

version graph

Package: busybox; Maintainer for busybox is Debian Install System Team <debian-boot@lists.debian.org>; Source for busybox is src:busybox.

Reported by: Neil Williams <codehelp@debian.org>

Date: Thu, 21 Feb 2008 14:12:01 UTC

Severity: wishlist

Tags: patch

Merged with 355130, 465290, 572431

Found in versions busybox/1:1.1.3-5, busybox/1:1.14.2-2

Fixed in version busybox/1:1.19.2-1

Done: Michael Tokarev <mjt@tls.msk.ru>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Eric Van Buggenhaut <ericvb@debian.org>:
Bug#466857; Package udhcp. Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
New Bug report received and forwarded. Copy sent to Eric Van Buggenhaut <ericvb@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: udhcp: long term mass bug filing for cross build support
Date: Thu, 21 Feb 2008 14:09:11 +0000
[Message part 1 (text/plain, inline)]
Package: udhcp
Version: 0.9.8cvs20050303-2
Severity: wishlist
Tags: patch
User: codehelp@debian.org
Usertags: crossbuilt

In line with the other cross-building support bugs:
http://lists.debian.org/debian-devel/2007/11/msg00116.html

This patch is necessary to allow udhcp to cross-build in Debian.

This occurs because the cross building tools have been rewritten to
support CC_FOR_BUILD for packages that compile internal build tools 
and therefore the tools no longer explicitly override the MAKEFLAGS.

Thanks.


*** ../crossbuild.diff
--- udhcp-0.9.8cvs20050303.debian/debian/rules 
+++ udhcp-0.9.8cvs20050303.emdebian/debian/rules 
@@ -2,10 +2,17 @@
 
 version=$(shell dpkg-parsechangelog | grep ^Version:.* | cut -d ' ' -f 2)
 architecture=$(shell dpkg --print-architecture)
+DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
+CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc LD=$(DEB_HOST_GNU_TYPE)-gcc
+else
+CROSS=
+endif
 
 build:
 	$(checkdir)
-	$(MAKE)
+	$(MAKE) $(CROSS)
 	touch build
 
 clean:


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.22-2-amd64 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Van Buggenhaut <ericvb@debian.org>:
Bug#466857; Package udhcp. (Sun, 16 Jan 2011 18:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Eric Van Buggenhaut <ericvb@debian.org>. (Sun, 16 Jan 2011 18:39:09 GMT) Full text and rfc822 format available.

Message #10 received at 466857@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: Neil Williams <codehelp@debian.org>
Cc: 466857@bugs.debian.org, Debian Install System Team <debian-boot@lists.debian.org>
Subject: Re: Bug#466857: udhcp: long term mass bug filing for cross build support
Date: Sun, 16 Jan 2011 19:34:39 +0100
[Message part 1 (text/plain, inline)]
Hi Neil!

On Thu, 21 Feb 2008 15:09:11 +0100, Neil Williams wrote:
> Package: udhcp
> Version: 0.9.8cvs20050303-2
> Severity: wishlist
> Tags: patch
> User: codehelp@debian.org
> Usertags: crossbuilt
>
> In line with the other cross-building support bugs:
> http://lists.debian.org/debian-devel/2007/11/msg00116.html
>
> This patch is necessary to allow udhcp to cross-build in Debian.

The old external udhcp package was (finally) superseded by busybox:
--8<---------------cut here---------------start------------->8---
busybox (1:1.15.3-1) unstable; urgency=low

  [ Bastian Blank ]
  * New upstream release.
  * Use 3.0 (quilt) source format.
  * Use debhelper compat level 7.

  [ Axel Beckert ]
  * Add binary packages containing symbolic links for
    syslogd/klogd/logread. (Closes: #537623)
  * Add binary packages containing symbolic links for udhcpc and udhcpd
  plus
    configuration.
  * Enabled PID file support in normal and static build (needed for at
    least udhcpc and udhcpd in a non-volatile environment)
  * Fixed typo in copyright file

  [ Otavio Salvador ]
  * [udeb] set executable bit in udhcpc script
  * [udeb] write a lease file for udhcpc response

  [ Frans Pop ]
  * [udeb] disable CONFIG_CTTYHACK as it's no longer used in D-I.

 -- Bastian Blank <waldi@debian.org>  Mon, 22 Feb 2010 10:13:57 +0100
--8<---------------cut here---------------end--------------->8---

I guess this bug should be merged with #465290, but I leave the last
word to Neil ;-)

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package 'udhcp' to 'busybox'. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Sun, 16 Jan 2011 19:03:02 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 0.9.8cvs20050303-2. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Sun, 16 Jan 2011 19:03:03 GMT) Full text and rfc822 format available.

Merged 355130 465290 466857. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Sun, 16 Jan 2011 19:03:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#466857; Package busybox. (Sun, 16 Jan 2011 19:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 16 Jan 2011 19:21:03 GMT) Full text and rfc822 format available.

Message #21 received at 466857@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Luca Capello <luca@pca.it>
Cc: 466857@bugs.debian.org, Debian Install System Team <debian-boot@lists.debian.org>
Subject: Re: Bug#466857: udhcp: long term mass bug filing for cross build support
Date: Sun, 16 Jan 2011 19:20:36 +0000
[Message part 1 (text/plain, inline)]
On Sun, 16 Jan 2011 19:34:39 +0100
Luca Capello <luca@pca.it> wrote:

> > In line with the other cross-building support bugs:
> > http://lists.debian.org/debian-devel/2007/11/msg00116.html
> >
> > This patch is necessary to allow udhcp to cross-build in Debian.

> 
> I guess this bug should be merged with #465290, but I leave the last
> word to Neil ;-)

Merged.

Thanks for the reminder, Luca.

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Merged 355130 465290 466857 572431. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Fri, 28 Jan 2011 21:33:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Sat, 13 Aug 2011 09:27:24 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 20 Nov 2011 07:34:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:14:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.